/*
 * Copyright (c) 2009 Charles S. Wilson
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a 
 * copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included 
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR 
 * OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
 * OTHER DEALINGS IN THE SOFTWARE.
 */
#ifndef RUN2_ENV_H
#define RUN2_ENV_H

#include "cdsl/cdsl_dlist.h"
#include "confdata.h"

void run2_create_argv_from_dlist (cdsl_dlist_t *list, char *arg0, int *argc, char ***argv);
char *run2_canonicalize_argv0 (const char *tgt);
char *run2_create_cmdline_from_argv (const char *tgt, int argc, char **argv);
char *run2_create_cmdline_from_tgtspec (run2_tgt_spec_t *tgtspec);
void run2_create_argv_from_tgtspec (run2_tgt_spec_t *tgtspec, int *argc, char ***argv);
char *run2_get_startin_directory (run2_tgt_spec_t *tgtspec);

#endif

